CS::Debug::iVisualDebugger Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Debug::iVisualDebugger Struct Reference

Visual debugging tools. More...

`#include <iutil/visualdebug.h>`

Inheritance diagram for CS::Debug::iVisualDebugger:

List of all members.

## Public Member Functions
virtual void | DebugPosition (const csVector3 &position, bool persist=false, csColor color=csColor(0.0f, 1.0f, 0.0f), size_t size=3)=0
| Add the given position to the list of positions to be displayed on the next call to Display().
virtual void | DebugTransform (const csReversibleTransform &transform, bool persist=false, float size=0.1f)=0
| Add the given transform to the list of transforms to be displayed on the next call to Display().
virtual void | DebugVector (const csReversibleTransform &transform, const csVector3 &vector, bool persist=false, csColor color=csColor(0.0f, 1.0f, 0.0f))=0
| Add the given vector to the list of vectors to be displayed on the next call to Display().
virtual void | Display (iView *view)=0
| Display all transforms and positions defined by DebugTransform() and DebugPosition().

## Detailed Description

Visual debugging tools.

Definition at line 42 of file visualdebug.h.

## Member Function Documentation

virtual void CS::Debug::iVisualDebugger::DebugPosition | ( | const csVector3 & | position,
|  | bool | persist = `false`,
|  | csColor | color = `csColor(0.0f, 1.0f, 0.0f)`,
|  | size_t | size = `3`
| ) |  | `[pure virtual]`

Add the given position to the list of positions to be displayed on the next call to Display().

A square dot will be displayed at that position.

Parameters:

  position | The position to be debugged
  persist | Whether or not this position has to be displayed in each future frame or only for the next one.
  color | The color to be used when displaying the position
  size | The size of the dot that will be displayed, in pixels. Pay attention that if you use an even number for this size, then the square will be shifted of an half pixel.

virtual void CS::Debug::iVisualDebugger::DebugTransform | ( | const csReversibleTransform & | transform,
|  | bool | persist = `false`,
|  | float | size = `0.1f`
| ) |  | `[pure virtual]`

Add the given transform to the list of transforms to be displayed on the next call to Display().

Each axis of the transform will be displayed, with the X axis in red, the Y axis in green, and the Z axis in blue.

Parameters:

  transform | The transform to be displayed
  persist | Whether or not this transform has to be displayed in each future frame or only for the next one.
  size | The size of the axis, in world units.

virtual void CS::Debug::iVisualDebugger::DebugVector | ( | const csReversibleTransform & | transform,
|  | const csVector3 & | vector,
|  | bool | persist = `false`,
|  | csColor | color = `csColor(0.0f, 1.0f, 0.0f)`
| ) |  | `[pure virtual]`

Add the given vector to the list of vectors to be displayed on the next call to Display().

Parameters:

  transform | The coordinate system of the vector
  vector | The vector to be debugged
  persist | Whether or not this vector has to be displayed in each future frame or only for the next one.
  color | The color to be used when displaying the position

virtual void CS::Debug::iVisualDebugger::Display | ( | iView * | view | ) | `[pure virtual]`

Display all transforms and positions defined by DebugTransform() and DebugPosition().

You have to call this at each frame, after the 3D display of the view. The list of transforms will be cleared.

The documentation for this struct was generated from the following file:

- iutil/visualdebug.h